package view

import (
	"testing"

	"github.com/metarare/metarare_api/common"
)

func Test_Explore(t *testing.T) {
	_db := initDB()

	_f := common.Filter{
		// CollectionName: "컬렉션1",
		CurrencyAmountStart: "20",
		CurrencyAmountEnd:   "40",
		Currency:            "eth",
		SaleType:            "fixed",
	}

	err, selectedItems := SelectExploreItems(_db, _f, 10000)
	if err != nil {
		t.Error("NO Selected column")
	}

	t.Logf("tokens : %+v", selectedItems)
}
func Test_CollectionSearch(t *testing.T) {
	_db := initDB()

	_f := common.Filter{}

	err, selectedItems := SelectCollectionListByKeyword(_db, _f)
	if err != nil {
		t.Error("NO Selected column")
	}

	t.Logf("tokens : %+v", selectedItems)
}
